Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	22 Mar 2004 01:16:26 -0000	1.3
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+source ../Config.sh
+
+pp_do "$@"
Index: Makefile
===================================================================
RCS file: /srv/CVS/eric_firmware/iproute2/Makefile,v
retrieving revision 1.1.27.2
retrieving revision 1.10
diff -u -r1.1.27.2 -r1.10
--- Makefile	24 Jan 2003 17:28:03 -0000	1.1.27.2
+++ Makefile	15 Apr 2005 12:15:35 -0000	1.10
@@ -1,11 +1,12 @@
+include ../Config.mk
+
 # Path to parent kernel include files directory
-DESTDIR=
 SBINDIR=/sbin
 CONFDIR=/etc/iproute2
 DOCDIR=/usr/doc/iproute2
 
-KERNEL_INCLUDE=/usr/src/linux/include
-LIBC_INCLUDE=/usr/include
+KERNEL_INCLUDE=${FW_TOPDIR}/$(LINUX_KERNEL_DIR)/include
+LIBC_INCLUDE=${FW_TOPDIR}/pplinux/uClibc/include
 
 DEFINES= -DRESOLVE_HOSTNAMES
 
@@ -29,17 +30,18 @@
   endif
 endif
 ifeq ($(LIBC_INCLUDE)/bits/socket.h,$(wildcard $(LIBC_INCLUDE)/bits/socket.h))
-  GLIBCFIX=-I../include-glibc -I/usr/include/db3 -include ../include-glibc/glibc-bugs.h
+  GLIBCFIX=-I../include-glibc -include ../include-glibc/glibc-bugs.h
 endif
 
 
-CC = gcc
-CCOPTS = -D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g
+# build must use optimization!
+CCOPTS = $(FW_CFLAGS_3RDPARTY) -Os -D_GNU_SOURCE -Wstrict-prototypes -Wall
 CFLAGS = $(CCOPTS) $(GLIBCFIX) -I$(KERNEL_INCLUDE) -I../include $(DEFINES)
 
 LDLIBS += -L../lib -lnetlink -lutil
 
-SUBDIRS=lib ip tc misc
+#SUBDIRS=lib ip tc misc
+SUBDIRS=lib ip tc
 
 LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a
 
@@ -60,13 +62,13 @@
 install: all
 	install -m 0755 -d $(DESTDIR)$(SBINDIR)
 	install -m 0755 -d $(DESTDIR)$(CONFDIR)
-	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples
-	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples/diffserv
-	install -m 0644 README.iproute2+tc $(shell find examples -type f -maxdepth 1) $(DESTDIR)$(DOCDIR)/examples
-	install -m 0644 $(shell echo examples/diffserv/*) $(DESTDIR)$(DOCDIR)/examples/diffserv
-	@for i in $(SUBDIRS) doc; do $(MAKE) -C $$i install; done
+#install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples
+#install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples/diffserv
+#install -m 0644 README.iproute2+tc $(shell find examples -type f -maxdepth 1) $(DESTDIR)$(DOCDIR)/examples
+#install -m 0644 $(shell echo examples/diffserv/*) $(DESTDIR)$(DOCDIR)/examples/diffserv
+	@for i in $(SUBDIRS); do $(MAKE) -C $$i install; done
 	@cd etc/iproute2; for i in *; do \
-		if [ ! -e $(DESTDIR)$(CONFDIR)/$$i ]; then \
+		if [ ! -e $(DESTDIR)$(CONFDIR)/$$i -a "$$i" != "CVS" ]; then \
 			echo install -m 0644 $$i $(DESTDIR)$(CONFDIR); \
 			install -m 0644 $$i $(DESTDIR)$(CONFDIR); fi; done
 
Index: include-glibc/db.h
===================================================================
RCS file: include-glibc/db.h
diff -N include-glibc/db.h
--- include-glibc/db.h	24 Jan 2003 17:28:03 -0000	1.1.27.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
-/* Mess with various libdb in various glibcs is something...
- * Crooked hands of hackers can result in amazing results making
- * incompatibility at all the levels without any reasons.
- *
- * The simplest trick which I was able to invent is to write fake
- * db.h including db_185.h and adding -I/usr/include/db3 to CFLAGS.
- * Looks ugly but compiles everywhere.
- */
-
-#include <db_185.h>
Index: include-glibc/socketbits.h
===================================================================
RCS file: include-glibc/socketbits.h
diff -N include-glibc/socketbits.h
--- include-glibc/socketbits.h	23 Jan 2003 18:02:58 -0000	1.1.27.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,270 +0,0 @@
-/* System-specific socket constants and types.  Linux version.
-   Copyright (C) 1991, 92, 94, 95, 96, 97, 98 Free Software Foundation, Inc.
-   This file is part of the GNU C Library.
-
-   The GNU C Library is free software; you can redistribute it and/or
-   modify it under the terms of the GNU Library General Public License as
-   published by the Free Software Foundation; either version 2 of the
-   License, or (at your option) any later version.
-
-   The GNU C Library is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   Library General Public License for more details.
-
-   You should have received a copy of the GNU Library General Public
-   License along with the GNU C Library; see the file COPYING.LIB.  If not,
-   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
-   Boston, MA 02111-1307, USA.  */
-
-#ifndef	_SOCKETBITS_H
-
-#define	_SOCKETBITS_H	1
-#include <features.h>
-
-#define	__need_size_t
-#define __need_NULL
-#include <stddef.h>
-
-
-__BEGIN_DECLS
-
-/* Type for length arguments in socket calls.  */
-#ifndef __socklen_t_defined
-typedef unsigned int socklen_t;
-# define __socklen_t_defined
-#endif
-
-/* Types of sockets.  */
-enum __socket_type
-{
-  SOCK_STREAM = 1,		/* Sequenced, reliable, connection-based
-				   byte streams.  */
-#define SOCK_STREAM SOCK_STREAM
-  SOCK_DGRAM = 2,		/* Connectionless, unreliable datagrams
-				   of fixed maximum length.  */
-#define SOCK_DGRAM SOCK_DGRAM
-  SOCK_RAW = 3,			/* Raw protocol interface.  */
-#define SOCK_RAW SOCK_RAW
-  SOCK_RDM = 4,			/* Reliably-delivered messages.  */
-#define SOCK_RDM SOCK_RDM
-  SOCK_SEQPACKET = 5,		/* Sequenced, reliable, connection-based,
-				   datagrams of fixed maximum length.  */
-#define SOCK_SEQPACKET SOCK_SEQPACKET
-  SOCK_PACKET = 10		/* Linux specific way of getting packets
-				   at the dev level.  For writing rarp and
-				   other similar things on the user level. */
-#define SOCK_PACKET SOCK_PACKET
-};
-
-/* Protocol families.  */
-#define	PF_UNSPEC	0	/* Unspecified.  */
-#define	PF_LOCAL	1	/* Local to host (pipes and file-domain).  */
-#define	PF_UNIX		PF_LOCAL /* Old BSD name for PF_LOCAL.  */
-#define	PF_FILE		PF_LOCAL /* POSIX name for PF_LOCAL.  */
-#define	PF_INET		2	/* IP protocol family.  */
-#define	PF_AX25		3	/* Amateur Radio AX.25.  */
-#define	PF_IPX		4	/* Novell Internet Protocol.  */
-#define	PF_APPLETALK	5	/* Don't use this.  */
-#define	PF_NETROM	6	/* Amateur radio NetROM.  */
-#define	PF_BRIDGE	7	/* Multiprotocol bridge.  */
-#define	PF_AAL5		8	/* Reserved for Werner's ATM.  */
-#define	PF_X25		9	/* Reserved for X.25 project.  */
-#define	PF_INET6	10	/* IP version 6.  */
-#define	PF_ROSE		11	/* Amateur Radio X.25 PLP       */
-#define	PF_DECnet	12	/* Reserved for DECnet project  */
-#define	PF_NETBEUI	13	/* Reserved for 802.2LLC project*/
-#define	PF_SECURITY	14	/* Security callback pseudo AF */
-#define	PF_KEY		15	/* PF_KEY key management API */
-#define	PF_NETLINK	16
-#define	PF_ROUTE	PF_NETLINK /* Alias to emulate 4.4BSD */
-#define	PF_PACKET	17	/* Packet family                */
-#define	PF_MAX		32	/* For now.. */
-
-/* Address families.  */
-#define	AF_UNSPEC	PF_UNSPEC
-#define	AF_LOCAL	PF_LOCAL
-#define	AF_UNIX		PF_UNIX
-#define	AF_FILE		PF_FILE
-#define	AF_INET		PF_INET
-#define	AF_AX25		PF_AX25
-#define	AF_IPX		PF_IPX
-#define	AF_APPLETALK	PF_APPLETALK
-#define	AF_NETROM	PF_NETROM
-#define	AF_BRIDGE	PF_BRIDGE
-#define	AF_AAL5		PF_AAL5
-#define	AF_X25		PF_X25
-#define	AF_INET6	PF_INET6
-#define	AF_ROSE		PF_ROSE
-#define	AF_DECnet	PF_DECnet
-#define	AF_NETBEUI	PF_NETBEUI
-#define	AF_SECURITY	PF_SECURITY
-#define	pseudo_AF_KEY	pseudo_PF_KEY
-#define	AF_NETLINK	PF_NETLINK
-#define	AF_ROUTE	PF_ROUTE
-#define	AF_PACKET	PF_PACKET
-#define	AF_MAX		PF_MAX
-
-/* Socket level values.  Others are defined in the appropriate headers.
-
-   XXX These definitions also should go into the appropriate headers as
-   far as they are available.  */
-#define SOL_IPV6        41
-#define SOL_ICMPV6	58
-#define SOL_RAW		255
-#define SOL_AX25        257
-#define SOL_ATALK	258
-#define SOL_NETROM	259
-#define SOL_ROSE	260
-#define SOL_DECNET	261
-#define SOL_X25		262
-
-/* Maximum queue length specifiable by listen.  */
-#define SOMAXCONN	128
-
-/* Get the definition of the macro to define the common sockaddr members.  */
-#if __GLIBC_MINOR__  >= 1
-#include <bits/sockaddr.h>
-#else
-#include <sockaddrcom.h>
-#endif
-
-/* Structure describing a generic socket address.  */
-struct sockaddr
-  {
-    __SOCKADDR_COMMON (sa_);	/* Common data: address family and length.  */
-    char sa_data[14];		/* Address data.  */
-  };
-
-
-/* Bits in the FLAGS argument to `send', `recv', et al.  */
-enum
-  {
-    MSG_OOB		= 0x01,	/* Process out-of-band data.  */
-#define MSG_OOB		MSG_OOB
-    MSG_PEEK		= 0x02,	/* Peek at incoming messages.  */
-#define MSG_PEEK	MSG_PEEK
-    MSG_DONTROUTE	= 0x04,	/* Don't use local routing.  */
-#define MSG_DONTROUTE	MSG_DONTROUTE
-    MSG_CTRUNC		= 0x08,	/* Control data lost before delivery.  */
-#define MSG_CTRUNC	MSG_CTRUNC
-    MSG_PROXY		= 0x10,	/* Supply or ask second address.  */
-#define MSG_PROXY	MSG_PROXY
-    MSG_TRUNC		= 0x20,
-#define MSG_TRUNC	MSG_TRUNC
-    MSG_DONTWAIT	= 0x40,
-#define MSG_DONTWAIT	MSG_DONTWAIT
-    MSG_WAITALL		= 0x100,
-#define MSG_WAITALL	MSG_WAITALL
-    MSG_ERRQUEUE	= 0x2000,
-#define MSG_ERRQUEUE	MSG_ERRQUEUE
-    MSG_NOSIGNAL	= 0x4000,
-#define MSG_NOSIGNAL	MSG_NOSIGNAL
-  };
-
-
-/* Structure describing messages sent by
-   `sendmsg' and received by `recvmsg'.  */
-struct msghdr
-  {
-    __ptr_t msg_name;		/* Address to send to/receive from.  */
-    socklen_t msg_namelen;	/* Length of address data.  */
-
-    struct iovec *msg_iov;	/* Vector of data to send/receive into.  */
-    size_t msg_iovlen;		/* Number of elements in the vector.  */
-
-    __ptr_t msg_control;	/* Ancillary data (eg BSD filedesc passing). */
-    size_t msg_controllen;	/* Ancillary data buffer length.  */
-
-    int msg_flags;		/* Flags on received message.  */
-  };
-
-/* Structure used for storage of ancillary data object information.  */
-struct cmsghdr
-  {
-    size_t cmsg_len;		/* Length of data in cmsg_data plus length
-				   of cmsghdr structure.  */
-    int cmsg_level;		/* Originating protocol.  */
-    int cmsg_type;		/* Protocol specific type.  */
-#if !defined __STRICT_ANSI__ && defined __GNUC__ && __GNUC__ >= 2
-    unsigned char __cmsg_data[0]; /* Ancillary data.  */
-#endif
-  };
-
-/* Ancillary data object manipulation macros.  */
-#if !defined __STRICT_ANSI__ && defined __GNUC__ && __GNUC__ >= 2
-# define CMSG_DATA(cmsg) ((cmsg)->__cmsg_data)
-#else
-# define CMSG_DATA(cmsg) ((unsigned char *) ((struct cmsghdr *) (cmsg) + 1))
-#endif
-#define CMSG_NXTHDR(mhdr, cmsg) __cmsg_nxthdr (mhdr, cmsg)
-#define CMSG_FIRSTHDR(mhdr) \
-  ((size_t) (mhdr)->msg_controllen >= sizeof (struct cmsghdr)		      \
-   ? (struct cmsghdr *) (mhdr)->msg_control : (struct cmsghdr *) NULL)
-#define CMSG_ALIGN(len) ( ((len)+sizeof(long)-1) & ~(sizeof(long)-1) )
-#define CMSG_SPACE(len) (CMSG_ALIGN(sizeof(struct cmsghdr)) + CMSG_ALIGN(len))
-#define CMSG_LEN(len) (CMSG_ALIGN(sizeof(struct cmsghdr)) + (len))
-
-
-#ifndef _EXTERN_INLINE
-# define _EXTERN_INLINE extern __inline
-#endif
-extern struct cmsghdr *__cmsg_nxthdr __P ((struct msghdr *__mhdr,
-					   struct cmsghdr *__cmsg));
-_EXTERN_INLINE struct cmsghdr *
-__cmsg_nxthdr (struct msghdr *__mhdr, struct cmsghdr *__cmsg)
-{
-  if ((size_t) __cmsg->cmsg_len < sizeof (struct cmsghdr))
-	  /* The kernel header does this so there may be a reason.  */
-	  return NULL;
-
-  __cmsg = (struct cmsghdr *) 
-	  ((unsigned char *) __cmsg + CMSG_ALIGN(__cmsg->cmsg_len));  
-
-  if ( (unsigned char *) (__cmsg + 1) >= 
-	   (unsigned char *) __mhdr->msg_control + __mhdr->msg_controllen)
-	  /* No more entries.  */
-	  return NULL;
-  return __cmsg;
-}
-
-/* Socket level message types.  This must match the definitions in
-   <linux/socket.h>.  */
-enum
-  {
-    SCM_RIGHTS = 0x01,         /* Data array contains access rights.  */
-#define SCM_RIGHTS SCM_RIGHTS
-    SCM_CREDENTIALS = 0x02,  /* Data array is `struct ucred'.  */
-#define SCM_CREDENTIALS SCM_CREDENTIALS
-  };
-
-
-
-/* Get socket manipulation related informations from kernel headers.  */
-#ifdef THIS_IS_CRAP
-#ifndef _LINUX_TYPES_H
-# define _LINUX_TYPES_H
-#endif
-#endif
-
-#include <asm/socket.h>
-#include <asm/types.h>
-
-struct ucred
-{
-	__u32	pid;
-	__u32	uid;
-	__u32	gid;
-};
-
-
-/* Structure used to manipulate the SO_LINGER option.  */
-struct linger
-  {
-    int l_onoff;		/* Nonzero to linger on close.  */
-    int l_linger;		/* Time to linger.  */
-  };
-
-__END_DECLS
-
-#endif /* socketbits.h */
Index: include-glibc/netinet/in.h
===================================================================
RCS file: /srv/CVS/eric_firmware/iproute2/include-glibc/netinet/in.h,v
retrieving revision 1.1.27.1
retrieving revision 1.3
diff -u -r1.1.27.1 -r1.3
--- include-glibc/netinet/in.h	23 Jan 2003 18:02:58 -0000	1.1.27.1
+++ include-glibc/netinet/in.h	29 Apr 2005 08:43:17 -0000	1.3
@@ -8,4 +8,25 @@
 
 #define SOL_IP	0
 
+#ifndef __arm__
+/* defining these symbols again results in an "redefined" error message */
+
+# if __BYTE_ORDER == __BIG_ENDIAN
+/* The host byte order is the same as network byte order,
+ *    so these functions are all just identity.  */
+# define ntohl(x)       (x)
+# define ntohs(x)       (x)
+# define htonl(x)       (x)
+# define htons(x)       (x)
+# else
+#  if __BYTE_ORDER == __LITTLE_ENDIAN
+#   define ntohl(x)     __bswap_32 (x)
+#   define ntohs(x)     __bswap_16 (x)
+#   define htonl(x)     __bswap_32 (x)
+#   define htons(x)     __bswap_16 (x)
+#  endif
+# endif
+
+#endif /* #ifdef __arm__ */
+
 #endif	/* netinet/in.h */
Index: include-glibc/netinet/ip.h
===================================================================
RCS file: include-glibc/netinet/ip.h
diff -N include-glibc/netinet/ip.h
--- include-glibc/netinet/ip.h	23 Jan 2003 18:02:58 -0000	1.1.27.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,9 +0,0 @@
-#ifndef __NETINET_IP_H
-#define __NETINET_IP_H 1
-
-#include <glibc-bugs.h>
-#include <netinet/in.h>
-
-#include <linux/ip.h>
-
-#endif /* netinet/ip.h */
Index: ip/Makefile
===================================================================
RCS file: /srv/CVS/eric_firmware/iproute2/ip/Makefile,v
retrieving revision 1.1.27.2
retrieving revision 1.3
diff -u -r1.1.27.2 -r1.3
--- ip/Makefile	24 Jan 2003 17:28:03 -0000	1.1.27.2
+++ ip/Makefile	15 Apr 2005 12:15:35 -0000	1.3
@@ -5,7 +5,7 @@
 RTMONOBJ=rtmon.o
 
 ALLOBJ=$(IPOBJ) $(RTMONOBJ)
-TARGETS=ip rtmon
+TARGETS=ip #rtmon
 
 all: $(TARGETS)
 
@@ -14,8 +14,8 @@
 rtmon: $(RTMONOBJ) $(LIBNETLINK)
 
 install: all
-	install -m 0755 -s $(TARGETS) $(DESTDIR)$(SBINDIR)
-	install -m 0755 routel routef $(DESTDIR)$(SBINDIR)
+	install -m 0755 $(TARGETS) $(DESTDIR)$(SBINDIR)
+#	install -m 0755 routel routef $(DESTDIR)$(SBINDIR)
 
 clean:
 	rm -f $(ALLOBJ) $(TARGETS)
Index: ip/rtacct.c
===================================================================
RCS file: ip/rtacct.c
diff -N ip/rtacct.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ ip/rtacct.c	23 Jan 2003 18:02:58 -0000	1.1.27.1
@@ -0,0 +1,104 @@
+/*
+ * rtacct.c		Applet printing /proc/net/rt_acct.
+ *
+ *		This program is free software; you can redistribute it and/or
+ *		modify it under the terms of the GNU General Public License
+ *		as published by the Free Software Foundation; either version
+ *		2 of the License, or (at your option) any later version.
+ *
+ * Authors:	Alexey Kuznetsov, <kuznet@ms2.inr.ac.ru>
+ *
+ */
+
+#include <stdio.h>
+#include <stdlib.h>
+#include <unistd.h>
+#include <syslog.h>
+#include <fcntl.h>
+#include <sys/socket.h>
+#include <sys/time.h>
+#include <net/if.h>
+#include <string.h>
+
+#include "rt_names.h"
+
+int main(int argc, char **argv)
+{
+	int i;
+	int fd;
+	__u32 buffer[256*4];
+	char b1[64];
+	int rlist[argc];
+	int rhwm = 0;
+
+	for (i=1; i<argc; i++) {
+		if (argv[i][0] == '-' || strcmp(argv[i], "help") == 0) {
+			fprintf(stderr, "Usage: rtacct [ LISTofREALMS ]\n");
+			exit(1);
+		}
+		if (rtnl_rtrealm_a2n(rlist+rhwm, argv[i]))
+			fprintf(stderr, "Warning: realm \"%s\" does not exist. Ignored.\n", argv[i]);
+		else
+			rhwm++;
+	}
+	if (argc>1 && rhwm==0) {
+		fprintf(stderr, "Usage: rtacct [ LISTofREALMS ]\n");
+		exit(1);
+	}
+
+	fd = open("/proc/net/rt_acct", O_RDONLY);
+	if (fd < 0) {
+		perror("open /proc/net/rt_acct");
+		exit(-1);
+	}
+	if ((i = read(fd, buffer, sizeof(buffer))) != sizeof(buffer)) {
+		fprintf(stderr, "read only %d bytes of /proc/net/rt_acct\n", i);
+		exit(-1);
+	}
+	printf(
+"Realm      "
+"BytesTo    "
+"PktsTo     "
+"BytesFrom  "
+"PktsFrom   "
+"\n"
+	       );
+
+	if (rhwm == 0) {
+		for (i=0; i<256; i++) {
+			__u32 *p = &buffer[i*4];
+
+			if (!p[0] && !p[1] && !p[2] && !p[3])
+				continue;
+			printf(
+"%-10s "
+"%-10u "
+"%-10u "
+"%-10u "
+"%-10u "
+"\n"
+		       , rtnl_rtrealm_n2a(i, b1, sizeof(b1)),
+					  p[0], p[1], p[2], p[3]);
+		}
+	} else {
+		int k;
+
+		for (k=0; k<rhwm; k++) {
+			__u32 *p;
+
+			i = rlist[k];
+			p = &buffer[i*4];
+
+		printf(
+"%-10s "
+"%-10u "
+"%-10u "
+"%-10u "
+"%-10u "
+"\n"
+		       , rtnl_rtrealm_n2a(i, b1, sizeof(b1)),
+					  p[0], p[1], p[2], p[3]);
+		}
+	}
+	exit(0);
+}
Index: lib/utils.c
===================================================================
RCS file: /srv/CVS/eric_firmware/iproute2/lib/utils.c,v
retrieving revision 1.1.27.2
retrieving revision 1.2
diff -u -r1.1.27.2 -r1.2
--- lib/utils.c	24 Jan 2003 17:28:03 -0000	1.1.27.2
+++ lib/utils.c	15 Apr 2005 12:15:36 -0000	1.2
@@ -221,7 +221,12 @@
 				dst->bitlen = 32;
 		}
 		if (slash) {
-			if (get_integer(&plen, slash+1, 0) || plen > dst->bitlen) {
+			struct in_addr addr;
+			if (dst->family == AF_INET && inet_aton(slash+1, &addr)) {
+				unsigned int netmask = ntohl(addr.s_addr);
+				int first_bit = ffs(netmask);
+				plen = first_bit > 0 ? 33 - first_bit : 0;
+			} else if (get_integer(&plen, slash+1, 0) || plen > dst->bitlen) {
 				err = -1;
 				goto done;
 			}
Index: misc/Makefile
===================================================================
RCS file: /srv/CVS/eric_firmware/iproute2/misc/Makefile,v
retrieving revision 1.1.27.1
retrieving revision 1.2
diff -u -r1.1.27.1 -r1.2
--- misc/Makefile	24 Jan 2003 17:28:03 -0000	1.1.27.1
+++ misc/Makefile	24 Jan 2003 17:57:31 -0000	1.2
@@ -6,7 +6,7 @@
 RTSTATOBJ=rtstat.o
 
 ALLOBJ=$(SSOBJ) $(NSTATOBJ) $(IFSTATOBJ) $(RTACCTOBJ) $(ARPDOBJ) $(RTSTATOBJ)
-TARGETS=ss nstat ifstat rtacct arpd rtstat
+TARGETS=ss nstat ifstat rtacct rtstat
 
 all: $(TARGETS)
 
Index: tc/Makefile
===================================================================
RCS file: /srv/CVS/eric_firmware/iproute2/tc/Makefile,v
retrieving revision 1.1.27.2
retrieving revision 1.4
diff -u -r1.1.27.2 -r1.4
--- tc/Makefile	24 Jan 2003 17:28:03 -0000	1.1.27.2
+++ tc/Makefile	27 Jan 2003 11:16:19 -0000	1.4
@@ -1,18 +1,19 @@
 TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o m_estimator.o
 
+include ../../Config.mk
 include ../Config
 
 TCMODULES :=
-TCMODULES += q_fifo.o
-TCMODULES += q_sfq.o
-TCMODULES += q_red.o
-TCMODULES += q_prio.o
+#TCMODULES += q_fifo.o
+#TCMODULES += q_sfq.o
+#TCMODULES += q_red.o
+#TCMODULES += q_prio.o
 TCMODULES += q_tbf.o
-TCMODULES += q_cbq.o
-TCMODULES += f_rsvp.o
-TCMODULES += f_u32.o
-TCMODULES += f_route.o
-TCMODULES += f_fw.o
+#TCMODULES += q_cbq.o
+#TCMODULES += f_rsvp.o
+#TCMODULES += f_u32.o
+#TCMODULES += f_route.o
+#TCMODULES += f_fw.o
 ifeq ($(TC_CONFIG_DIFFSERV),y)
   TCMODULES += q_dsmark.o
   TCMODULES += q_gred.o
@@ -46,7 +47,7 @@
 	$(AR) rcs $@ $(TCLIB)
 
 install: all
-	install -m 0755 -s tc $(DESTDIR)$(SBINDIR)
+	install -m 0755 tc $(DESTDIR)$(SBINDIR)
 
 
 clean:
